Bug 160471 - www/webkit-gtk2 fails to build/link
Summary: www/webkit-gtk2 fails to build/link
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-05 06:30 UTC by Martin Laabs
Modified: 2012-02-27 19:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Laabs 2011-09-05 06:30:00 UTC
When building the current www/webkit-gtk2 it fails to link a file in the building process.There are also some syntax errors reported before.

Parts of the build log:

--------------:<--------------
gmake[1]: Entering directory `/usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2'
  GEN    WebKit-1.0.gir
/usr/local/bin/gmkdir -p ./.deps/DerivedSources
/usr/include/machine/endian.h:123: syntax error, unexpected '{' in ' return (__extension__ ({ register __uint64_t __X = (_x); __asm ("bswap %0" : "+r" (__X)); __X; }));' at '{'
/usr/include/machine/endian.h:123: syntax error, unexpected ';' in ' return (__extension__ ({ register __uint64_t __X = (_x); __asm ("bswap %0" : "+r" (__X)); __X; }));' at ';'
/usr/include/machine/endian.h:130: syntax error, unexpected '{' in ' return (__extension__ ({ register __uint32_t __X = (_x); __asm ("bswap %0" : "+r" (__X)); __X; }));' at '{'
/usr/include/machine/endian.h:130: syntax error, unexpected ';' in ' return (__extension__ ({ register __uint32_t __X = (_x); __asm ("bswap %0" : "+r" (__X)); __X; }));' at ';'
Source/WebKit/gtk/webkit/webkitversion.h:33: Warning: WebKit: symbol='WEBKITGTK_API_VERSION': Unknown namespace for symbol 'WEBKITGTK_API_VERSION'
g-ir-scanner: compile: cc -D_REENTRANT -D_THREAD_SAFE -I/usr/local/include/glib-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/drm -I/usr/local/include/libsoup-2.4 -I/usr/local/include/libxml2 -O2 -fno-strict-aliasing -pipe -march=athlon64 -O2 -I./Source -I./Source/WebKit/gtk -I./DerivedSources -I./DerivedSources/webkit -I./Source/WebKit/gtk -I./Source/JavaScriptCore/ForwardingHeaders -I. -I/usr/local/include/glib-2.0 -I/usr/local/include/freetype2 -I/usr/local/include -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/libsoup-2.4 -I/usr/local/include/libxml2 -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local
 /include/cairo -I/usr/local/include/pango-1.0 -I/usr/local/include/pixman-1 -I/usr/local/include/drm -c -o /usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2/tmp-introspectCtP6Li/WebKit-1.0.o /usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2/tmp-introspectCtP6Li/WebKit-1.0.c
g-ir-scanner: link: /bin/sh /usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/gnome-libtool --mode=link --tag=CC --silent cc -o /usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2/tmp-introspectCtP6Li/WebKit-1.0 -export-dynamic -O2 -fno-strict-aliasing -pipe -march=athlon64 -O2 -L. -lwebkitgtk-1.0 -pthread -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0 /usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2/tmp-introspectCtP6Li/WebKit-1.0.o
/usr/bin/ld: warning: libbz2.so.4, needed by /usr/local/lib/libfreetype.so, may conflict with libbz2.so.1
/usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2/tmp-introspectCtP6Li/WebKit-1.0.o(.data+0x2e8): undefined reference to `webkit_dom_html_media_element_get_type'
/usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2/tmp-introspectCtP6Li/WebKit-1.0.o(.data+0x3c0): undefined reference to `webkit_dom_media_error_get_type'
/usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2/tmp-introspectCtP6Li/WebKit-1.0.o(.data+0x450): undefined reference to `webkit_dom_time_ranges_get_type'
linking of temporary binary failed: Command '['/bin/sh', '/usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/gnome-libtool', '--mode=link', '--tag=CC', '--silent', 'cc', '-o', '/usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2/tmp-introspectCtP6Li/WebKit-1.0', '-export-dynamic', '-O2', '-fno-strict-aliasing', '-pipe', '-march=athlon64', '-O2', '-L.', '-lwebkitgtk-1.0', '-pthread', '-L/usr/local/lib', '-lgtk-x11-2.0', '-lgdk-x11-2.0', '-latk-1.0', '-lpangocairo-1.0', '-lXext', '-lXrender', '-lXinerama', '-lXi', '-lXrandr', '-lXcursor', '-lXcomposite', '-lXdamage', '-lgdk_pixbuf-2.0', '-lpangoft2-1.0', '-lXfixes', '-lcairo', '-lX11', '-lpango-1.0', '-lm', '-lfreetype', '-lfontconfig', '-lsoup-2.4', '-lgio-2.0', '-lgobject-2.0', '-lgmodule-2.0', '-lgthread-2.0', '-lglib-2.0', '/usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2/tmp-introspectCtP6Li/WebKit-1.0.o']' returned non-zero exit status 1
gmake[1]: *** [WebKit-1.0.gir] Error 1
gmake[1]: Leaving directory `/usr/tmp/portbuild/usr/ports/www/webkit-gtk2/work/webkit-1.4.2'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/www/webkit-gtk2.
*** Error code 1
------------------------:<-----------------------

How-To-Repeat: cd /usr/ports/www/webkit-gtk2
make clean
make
Comment 1 Edwin Groothuis freebsd_committer 2011-09-05 06:30:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Laabs 2011-09-08 17:38:48 UTC
Hello,

found a fix for the problem in:

http://forums.freebsd.org/showthread.php?t=25970

run "make config" and enable the "video" option.

Greetings,
  Martin L.

On 05.09.2011 07:30, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/160471'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=160471
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       www/webkit-gtk2 fails to build/link
>> Arrival-Date:   Mon Sep 05 05:30:00 UTC 2011
>
Comment 3 dfilter service freebsd_committer 2012-02-27 19:49:14 UTC
kwm         2012-02-27 19:49:04 UTC

  FreeBSD ports repository

  Modified files:
    www/webkit-gtk2      Makefile 
  Log:
  Remove the video option, webkit no longer builds without it.
  
  PR:             ports/160268 [1], ports/160471 [2]
  Reported by:    paul@thistledew.org [1], Martin Laabs <spamtrap@martinlaabs.de> [2]
  
  Revision  Changes    Path
  1.45      +2 -10     ports/www/webkit-gtk2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2012-02-27 19:50:27 UTC
State Changed
From-To: open->closed

Fix committed, thanks for reporting.